@Echo off
cd %~dp0

Set FOExe=""
Set FindFOExe="C:\Programme\Activision\Star Trek Armada II Fleet Operations\FleetOps.exe"
if Exist %FindFOExe% Set FOExe=%FindFOExe%
Set FindFOExe="C:\Program Files\Activision\Star Trek Armada II Fleet Operations\FleetOps.exe"
if Exist %FindFOExe% Set FOExe=%FindFOExe%
Set FindFOExe="C:\Program Files (x86)\Activision\Star Trek Armada II Fleet Operations\FleetOps.exe"
if Exist %FindFOExe% Set FOExe=%FindFOExe%

if %FOExe% == "" (
Echo Error: FleetOps.exe not found. Install Fleetops.
Echo.
Pause
exit
)

if Not Exist "C:\FORep\" (
Echo Error: Replaysystem not found. Install Replaysystem.
Echo.
Pause
exit
)

if %1A == A (
Echo Error: Drop a replayfile on "Reproduce Replay.bat"
Echo.
Pause
exit
)

if Not Exist %1 (
Echo Error: Can't find %1
Echo.
Pause
exit
)

Wrapper.exe %FOExe% ReproduceReplay %1 Abort-after-error=1

if %ERRORLEVEL% == 0 exit
if %ERRORLEVEL% LEQ 50 goto Upd

goto Err%ERRORLEVEL%
:Err58
Echo Error: Replayfile could not be copied. Unable to read %1
Echo.
Pause
exit
:Err59
Echo Error: Replayfile could not be copied (Exit any other replay first).
Echo.
Pause
exit
:Err51
Echo Error: Not a valid replayfile (Magic number is missing).
Echo.
Pause
exit
:Err52
Echo Error: Not a valid replayfile (invalid ID).
Echo.
Pause
exit
:Err55
Echo Error: Not a valid replayfile (invalid number of players).
Echo.
Pause
exit
:Err57
Echo Error: There is an empty slot in the middle of the recorded game setup. To enable the wrapper to also reproduce such rare circumstances didn't seem worth the work.
Echo.
Pause
exit
:Err53
Echo Error: The Map ist missing.
Echo.
Pause
exit
:Err56
Echo Error: The Map could not be copied (reading).
Echo.
Pause
exit
:Err54
Echo Error: The Map could not be copied (creating).
Echo.
Pause
exit
:Err60
Echo Error: Can't find %FOExe%
Echo.
Pause
exit

:Upd
Echo Error: Replayfile has V%ERRORLEVEL%. Update the wrapper.
Echo.
Pause
exit
